# coding: utf-8

"""
    DLCM-Solution

    DLCM application wrapping all modules, All-In-One  # noqa: E501

    The version of the OpenAPI document: 2.1.1
    Contact: eresearch-opensource@unige.ch
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest
import datetime

import dlcmapi_client
from dlcmapi_client.models.aip import Aip  # noqa: E501
from dlcmapi_client.rest import ApiException

class TestAip(unittest.TestCase):
    """Aip unit test stubs"""

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def make_instance(self, include_optional):
        """Test Aip
            include_option is a boolean, when False only required
            params are included, when True both required and
            optional params are included """
        # model = dlcmapi_client.models.aip.Aip()  # noqa: E501
        if include_optional :
            return Aip(
                links = None, 
                archival_unit = True, 
                archive_container = 'UNDEFINED', 
                archive_file_number = 1.337, 
                archive_id = '0', 
                archive_size = 1.337, 
                checksum_check = dlcmapi_client.models.aip_checksum_check.aip_checksumCheck(
                    check_date = '0', 
                    checking_succeed = True, ), 
                checksums = [
                    '0'
                    ], 
                collection_size = 1.337, 
                creation = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                data_file_number = 1.337, 
                disposition_approval = True, 
                file_format = dlcmapi_client.models.aip_file_format.aip_fileFormat(
                    content_type = '0', 
                    details = '0', 
                    format = '0', 
                    md5 = '0', 
                    puid = '0', 
                    version = '0', ), 
                info = dlcmapi_client.models.aip_info.aip_info(
                    access = '0', 
                    access_currently_public = True, 
                    compliance_level = '0', 
                    contains_updated_metadata = True, 
                    current_access = '0', 
                    data_sensitivity = '0', 
                    description = '0', 
                    embargo = dlcmapi_client.models.aip_info_embargo.aip_info_embargo(
                        access = '0', 
                        months = 1.337, 
                        start_date = '0', ), 
                    license_id = '0', 
                    metadata_version = '0', 
                    name = '0', 
                    organizational_unit_id = '0', 
                    status = '0', 
                    status_message = '0', ), 
                last_update = dlcmapi_client.models.change_info.change-info(
                    when = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                    who = '0', ), 
                ready = True, 
                res_id = '0', 
                retention = 1.337, 
                retention_end = datetime.datetime.strptime('2013-10-20 19:20:30.00', '%Y-%m-%d %H:%M:%S.%f'), 
                sip_ids = [
                    '0'
                    ], 
                smart_retention = '0', 
                smart_size = '0', 
                smart_tombstone_size = '0', 
                tombstone_size = 1.337, 
                virus_check = dlcmapi_client.models.aip_virus_check.aip_virusCheck(
                    check_date = '0', 
                    details = '0', )
            )
        else :
            return Aip(
        )

    def testAip(self):
        """Test Aip"""
        inst_req_only = self.make_instance(include_optional=False)
        inst_req_and_optional = self.make_instance(include_optional=True)


if __name__ == '__main__':
    unittest.main()
